uniform samplerCube BlurEnv;

varying vec2 vTexCoord;
varying vec3 vNormal;
varying vec3 vTangent;
varying vec3 vBinormal;

varying vec4 vPos;

void main(void)
{
	vec3 lightDir = normalize(vec3(1.0, 1.0, 1.0));
	vec3 viewDir = normalize(gl_ProjectionMatrixInverse * vec4(0.0, 0.0, 0.0, 1.0) - vPos);
  
	vec3 finalNormal = normalize(vNormal);

	float kD = clamp(dot(finalNormal, lightDir), 0.0, 1.0);
	
	vec3 half = normalize(lightDir + viewDir);
	
	float kS = clamp(dot(finalNormal, half), 0.0, 1.0);
	kS = pow(kS, 80.0);
	
	vec3 diffuseColor = vec3(0.5,0.5,0.5);
	
	gl_FragColor.rgb = diffuseColor * kD + vec3(2.0,1.9, 1.8) * kS;
	
	vec3 reflvec = reflect(viewDir, finalNormal);
	
	reflvec = normalize(reflvec);
	
	gl_FragColor.rgb = textureCube(BlurEnv, finalNormal);

//	gl_FragColor.rgb = viewDir.xyz;
//	gl_FragColor.rgb += textureCube(BlurEnv, reflvec);
}
